#!/bin/sh -e

# Change the SBINDIR and BINDIR to /usr/bin to keep kiss happy
sed -i 's/\/bin/\/usr\/bin/'   Makefile
sed -i 's/\/sbin/\/usr\/bin/'  Makefile

su -c "./configure.sh config.in"

make
make DESTDIR="$1" install

for bin in route
do chmod 6770 "$1/usr/bin/$bin"
chgrp network "$1/usr/bin/$bin"
done
